
<?- include('./../../partials/header') -?>
<div class="page">
    <div class="page-main">
       
        <?- include('./../../partials/nav') -?>
      
        <!-- Horizontal-menu end -->

        <div class="app-content page-body">
            <div class="container">

                    <!--Page header-->
                    <div class="page-header">
                        <div class="page-leftheader">
                            <h4 class="page-title">ระบบบริหารจัดการคลัง</h4>
                            <ol class="breadcrumb pl-0">
                                <li class="breadcrumb-item"><a href="#">หน้าหลัก</a></li>
                                <li class="breadcrumb-item active" aria-current="page">สั่งของ</li>
                            </ol>
                        </div>
                    </div>
                    <!--End Page header-->

                <div class="row">
                    <div class="col-lg-12 col-md-12">
                        <div class="card">
                            <div class="card-header">
                                <h3 class="card-title">สั่งของเพิ่ม</h3>
                                <div class="card-options ">
                                    <a href="#" class="card-options-collapse" data-toggle="card-collapse"><i class="fe fe-chevron-up"></i></a>
                                    <a href="#" class="card-options-remove" data-toggle="card-remove"><i class="fe fe-x"></i></a>
                                </div>
                            </div>
                            <div class="card-body">
                                <form class="form-horizontal contentForm" data-validate="parsley" action="/purchases/add" method="POST" enctype="multipart/form-data">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="form-label">ชื่อผู้รับ</label>
                                                <input type="text" class="form-control" name="shipping_firstname" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="form-label">นามสกุล</label>
                                                <input type="text" class="form-control" name="shipping_lastname" required>
                                            </div>
                                        </div>
                                        <div class="col-md-4">
                                            <div class="form-group">
                                                <label class="form-label">เบอร์โทรศัพท์</label>
                                                <input type="text" class="form-control" name="shipping_telephone" required>
                                            </div>
                                        </div>
                                    </div>                                      
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">ที่อยู่ 1</label>
                                                <input type="text" class="form-control" name="shipping_address1" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">ที่อยู่ 2</label>
                                                <input type="text" class="form-control" name="shipping_address2">
                                            </div>
                                        </div>
                                    </div>    
                                    <div class="row">
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">ตำบล/แขวง</label>
                                                <input type="text" class="form-control" name="shipping_city" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">อำเภอ/เขต</label>
                                                <input type="text" class="form-control" name="shipping_state" required>
                                            </div>
                                        </div>
                                        </div>
                                        <div class="row">

                                        
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">จังหวัด</label>
                                                <input type="text" class="form-control" name="shipping_country" required>
                                            </div>
                                        </div>
                                        <div class="col-md-6">
                                            <div class="form-group">
                                                <label class="form-label">รหัสไปรษณีย์</label>
                                                <input type="text" class="form-control" name="shipping_postcode" required>
                                            </div>
                                        </div>
                                    </div>                                      
                                  
                                    <div class="form-group">
                                    <label class="form-label">สินค้า</label>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <ul class="thumbnail p-2">
                                                <div class="image-container">
                                                    <div class="image">
                                                        <img src="/assets/images/products/Lish-Flora.jpg" height="300px" class="w-100" alt="">
                                                    </div>
                                                    <div class="info">
                                                        <h5 class="mt-2">LISH Flora</h5>
                                                        <div class="row">
                                                            <div class="col"><h1 class="text-danger">990.00</h1></div>
                                                            <div class="col text-right"><button class="btn btn-secondary sc-add-to-cart" data-name="LISH Flora" data-code="LFR" data-price="990" type="submit"><i class="fe fe-shopping-cart"></i> เลือก</button></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </ul>
                                        </div>
                                        <div class="col-md-3">
                                            <ul class="thumbnail p-2">
                                                <div class="image-container">
                                                    <div class="image">
                                                        <img src="/assets/images/products/AT-AQBAC.jpg" height="300px" class="w-100" alt="">
                                                    </div>
                                                    <div class="info">
                                                        <h5 class="mt-2">AT AQBAC</h5>
                                                        <div class="row">
                                                            <div class="col"><h1 class="text-danger">00.00</h1></div>
                                                            <div class="col text-right"></div>
                                                        
                                                        </div>
                                                    </div>
                                                </div>
                                            </ul>
                                        </div>
                                        <div class="col-md-3">
                                            <ul class="thumbnail p-2">
                                                <div class="image-container">
                                                    <div class="image">
                                                        <img src="/assets/images/products/Lish-PFlora.jpg" height="300px" class="w-100" alt="">
                                                    </div>
                                                    <div class="info">
                                                        <h5 class="mt-2">Lish PFlora</h5>
                                                        <div class="row">
                                                            <div class="col"><h1 class="text-danger">00.00</h1></div>
                                                            <div class="col text-right"></div>
                                                        
                                                        </div>
                                                    </div>
                                                </div>
                                            </ul>
                                        </div>
                                        <div class="col-md-3">
                                            <ul class="thumbnail p-2">
                                                <div class="image-container">
                                                    <div class="image">
                                                        <img src="/assets/images/products/AT-AQCAL.jpg" height="300px" class="w-100" alt="">
                                                    </div>
                                                    <div class="info">
                                                        <h5 class="mt-2">AT AQCAL</h5>
                                                        <div class="row">
                                                            <div class="col"><h1 class="text-danger">00.00</h1></div>
                                                            <div class="col text-right"></div>
                                                        
                                                        </div>
                                                    </div>
                                                </div>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <div id="cart"></div>
                                </div>
                                <hr>
                                <div class="formFooter">
                                    <button type="submit" class="btn btn-primary">สั่งซื้อ</button>
                                    <button type="reset" class="btn">Reset</button>
                                </div>
                            </form>

                            </div>
                        </div>
                    </div>
                   
                </div>
                <!-- End Row -->
             
            </div>
        </div><!-- end app-content-->
    </div>

    <?- include('./../../partials/footer') -?>
    <script>
    (function ($, window, document, undefined) {

    /* Default Options */
    var defaults = {
        cart: [],
        addtoCartClass: '.sc-add-to-cart',
        cartProductListClass: '.cart-products-list',
        totalCartCountClass: '.total-cart-count',
        totalCartCostClass: '.total-cart-cost',
        showcartID : '#show-cart',
        itemCountClass : '.item-count'
    };

    function Item(name, price, count, code) {
        this.name = name;
        this.price = price;
        this.count = count;
        this.code = code;
    }
    /*Constructor function*/
    function simpleCart(domEle, options) {

        /* Merge user settings with default, recursively */
        this.options = $.extend(true, {}, defaults, options);
        //Cart array
        this.cart = [];
        //Dom Element
        this.cart_ele = $(domEle);
        //Initial init function
        this.init();
    }


    /*plugin functions */
    $.extend(simpleCart.prototype, {
        init: function () {
            this._setupCart();
            this._setEvents();
            this._loadCart();
            this._updateCartDetails();
        },
        _setupCart: function () {
            this.cart_ele.addClass("cart-grid panel panel-defaults");
            this.cart_ele.append("<h4>รายการสั่งซื้อสินค้า</h4><div class='panel-body cart-body'><div class='cart-products-list' id='show-cart'></div></div>");
            this.cart_ele.append("<div class='cart-summary-container'>\n\
                                <div class='cart-offer'></div>\n\
                                        <div class='cart-total-amount'>\n\
                                            <div class='form-group'><strong class='text-danger'>ยอดชำระ <span class='total-cart-cost'></span> บาท</strong></div>\n\
                                            </div>\n\
                                </div>");
        },
        _addProductstoCart: function () {
        },
        _updateCartDetails: function () {
            var mi = this;
            $(this.options.cartProductListClass).html(mi._displayCart());
            $(this.options.totalCartCountClass).html("Your Cart " + mi._totalCartCount() + " items");
            $(this.options.totalCartCostClass).html(mi._totalCartCost());
        },
        _setCartbuttons: function () {

        },
        _setEvents: function () {
            var mi = this;
            $(this.options.addtoCartClass).on("click", function (e) {
                e.preventDefault();
                var name = $(this).attr("data-name");
                var cost = Number($(this).attr("data-price"));
                var code = $(this).attr("data-code");
                mi._addItemToCart(name, cost, 1, code);
                mi._updateCartDetails();
            });

            $(this.options.showcartID).on("change", this.options.itemCountClass, function (e) {
                var ci = this;
        e.preventDefault();
        var count = $(this).val();
        var name = $(this).attr("data-name");
        var code = $(this).attr("data-code");
        var cost = Number($(this).attr("data-price"));
        mi._removeItemfromCart(name, cost, count, code);
        mi._updateCartDetails();
    });

        },
        /* Helper Functions */
        _addItemToCart: function (name, price, count, code) {
            for (var i in this.cart) {
                if (this.cart[i].name === name) {
                    this.cart[i].count++;
                    this.cart[i].code;
                    this.cart[i].price = price * this.cart[i].count;
                    this._saveCart();
                    return;
                }
            }
            var item = new Item(name, price, count, code);
            this.cart.push(item);
            this._saveCart();
        },
        _removeItemfromCart: function (name, price, count, code) {
            for (var i in this.cart) {
                if (this.cart[i].name === name) {
                    var singleItemCost = Number(price / this.cart[i].count);
                    this.cart[i].count = count;
                    this.cart[i].price = singleItemCost * count;
                    if (count == 0) {
                        this.cart.splice(i, 1);
                    }
                    break;
                }
            }
            this._saveCart();
        },
        _clearCart: function () {
            this.cart = [];
            this._saveCart();
        },
        _totalCartCount: function () {
            return this.cart.length;
        },
        _displayCart: function () {
            var cartArray = this._listCart();
            console.log(cartArray);
            var output = "";
            if (cartArray.length <= 0) {
                output = "<h4>กรุณาเลือกสินค้า</h4>";
            }
            output = "<table class='table mb-0 table-vcenter table-hover text-nowrap'><tbody><tr><td style='width:75%;'>ชื่อสินค้า</td><td style='width:15%;'>จำนวน</td><td style='width:10%;'>ราคา</td></tr></tbody></table>";
            for (var i in cartArray) {
                output += "<table class='table mb-0 table-vcenter table-hover text-nowrap'>\n\
  <tbody>\n\
    <tr>\n\
      <td style='width:75%;'>" + cartArray[i].name + "</td>\n\
      <td style='width:15%;'><input type='number' class='quantity form-control item-count' data-name='" + cartArray[i].name + "' data-price='" + cartArray[i].price + "' min='0' value=" + cartArray[i].count + " data-code='" + cartArray[i].code + "'></td>\n\
      <td style='width:10%;'>" + cartArray[i].price + "</td>\n\
      <input type='hidden' name='qty_product[]' value='" + cartArray[i].count + "'>\n\
      <input type='hidden' name='sku_product[]' value='" + cartArray[i].code + "'>\n\
      <input type='hidden' name='price_product[]' value='" + cartArray[i].price + "'>\n\
    </tr>\n\
  </tbody>\n\
</table>";
            }
            return output;
        },
        _totalCartCost: function () {
            var totalCost = 0;
            for (var i in this.cart) {
                totalCost += this.cart[i].price;
            }
            return totalCost;
        },
        _listCart: function () {
            var cartCopy = [];
            for (var i in this.cart) {
                var item = this.cart[i];
                var itemCopy = {};
                for (var p in item) {
                    itemCopy[p] = item[p];
                }
                cartCopy.push(itemCopy);
            }
            return cartCopy;
        },
        _calGST: function () {
            var GSTPercent = 18;
            var totalcost = this.totalCartCost();
            var calGST = Number((totalcost * GSTPercent) / 100);
            return calGST;
        },
        _saveCart: function () {
            localStorage.setItem("shoppingCart", JSON.stringify(this.cart));
        },
        _loadCart: function () {
            this.cart = JSON.parse(localStorage.getItem("shoppingCart"));
            if (this.cart === null) {
                this.cart = [];
            }
        }
    });
    /* Defining the Structure of the plugin 'simpleCart'*/
    $.fn.simpleCart = function (options) {
        return this.each(function () {
            $.data(this, "simpleCart", new simpleCart(this));
            console.log($(this, "simpleCart"));
        });
    }
    ;
    })(jQuery, window, document);
    $(document).ready(function () {
                $('#cart').simpleCart();
            });

    </script>
</div>